<?xml version="1.0"?>
<!-- This transformation adds source and target attributes to each javac task.
  Additionally, it adds the same source attribute to javadoc tasks.
-->
<xsl:transform version="1.0"
               xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" encoding="utf-8"/>

<xsl:param name="compile.source.version" />
<xsl:param name="compile.target.version" />

<xsl:template match="javac">
  <xsl:copy>
    <xsl:apply-templates select="@*" />
    <xsl:if test="$compile.source.version">
      <xsl:attribute name="source">
        <xsl:value-of select="$compile.source.version" />
      </xsl:attribute>
    </xsl:if>
    <xsl:if test="$compile.target.version">
      <xsl:attribute name="target">
        <xsl:value-of select="$compile.target.version" />
      </xsl:attribute>
    </xsl:if>
    <xsl:apply-templates/>
  </xsl:copy>
</xsl:template>

<xsl:template match="javadoc">
  <xsl:copy>
    <xsl:apply-templates select="@*" />
    <xsl:if test="$compile.source.version">
      <xsl:attribute name="source">
        <xsl:value-of select="$compile.source.version" />
      </xsl:attribute>
    </xsl:if>
    <xsl:apply-templates/>
  </xsl:copy>
</xsl:template>

<xsl:template match="node()">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*" />
  </xsl:copy>
</xsl:template>

<xsl:template match="@*">
  <xsl:copy/>
</xsl:template>

</xsl:transform>
